/**\file exp.h
*\brief Real exponential functions. */

#ifndef EXP_H_
#define EXP_H_
#include "unifloat.h"

Unifloat* exp_UF(Unifloat* x);
Unifloat* exp2_UF(Unifloat* x);
Unifloat* expm1_UF(Unifloat* x);
Unifloat* log_UF(Unifloat* x);
Unifloat* log1p_UF(Unifloat* x);
Unifloat* sqrt_UF(Unifloat* x);

Unifloat* powInt_UF(Unifloat* x, uint n);

#endif //EXP_H_
